Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 460038 - Please mask and remove net-irc/xchat
Summary: Please mask and remove net-irc/xchat
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo TreeCleaner Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-02 20:22 UTC by Agostino Sarubbo
Modified: 2013-07-11 21:10 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-03-02 20:22:17 UTC
Xchat has various unresolved security issue and upstream is dead. Please say in the mask to switch to net-irc/hexchat.

Maintainer agree to mask and remove.

Note: please don't remove the various xchat plugins because the are compatible with hexchat.
Comment 1 Evgeny Bobkin 2013-04-03 07:29:46 UTC
This portage message below is in my opinion very confusing for everybody who is not deeply involved in the xchat development history.

so probably everybody who steps into it, is forced to do a reconnaissance research!

!!! The following installed packages are masked:
- net-irc/xchat-2.8.8-r2::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Lars Wendler <polynomial-c@gentoo.org> (02 Apr 2013)
# Dead upstream. Masked for removal in 30 days.
# net-irc/hexchat can be used as drop-in replacement.
Comment 2 Agostino Sarubbo gentoo-dev 2013-04-03 08:51:36 UTC
(In reply to comment #1)
> This portage message below is in my opinion very confusing for everybody who
> is not deeply involved in the xchat development history.
> 
> so probably everybody who steps into it, is forced to do a reconnaissance
> research!
> 
> !!! The following installed packages are masked:
> - net-irc/xchat-2.8.8-r2::gentoo (masked by: package.mask)
> /usr/portage/profiles/package.mask:
> # Lars Wendler <polynomial-c@gentoo.org> (02 Apr 2013)
> # Dead upstream. Masked for removal in 30 days.
> # net-irc/hexchat can be used as drop-in replacement.

I don't see how is confusing. It says that xchat will be removed and you can use hexchat. Seems very elementary.
Comment 3 Nick Leippe 2013-04-04 19:50:43 UTC
Hexchat isn't a "drop-in replacement" in that simply running hexchat won't pull in your previous xchat config automatically. I recommend removing "drop-in" from the message since it implies no work is entailed to make the switch.

Also, please add this link to the message:

http://docs.hexchat.org/en/latest/faq.html#how-do-i-migrate-my-settings-from-xchat

Google searching does not find this since xchat ~ hexchat.
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2013-04-05 15:25:02 UTC
(In reply to comment #3)
> Hexchat isn't a "drop-in replacement" in that simply running hexchat won't
> pull in your previous xchat config automatically. I recommend removing
> "drop-in" from the message since it implies no work is entailed to make the
> switch.

I've tweaked the mask description so it doesn't say "drop-in replacement" anymore.
Comment 5 Julian Ospald 2013-07-11 19:00:27 UTC
please remove and probably also

reverse-deps:
net-irc/cwirc-2.0.0
net-irc/xchat-otr-0.3
net-irc/xchatosd-5.19

and

net-irc/xchat-gnome
Comment 6 Sergey Popov gentoo-dev 2013-07-11 21:10:15 UTC
xchat is gone from tree

(In reply to Julian Ospald (hasufell) from comment #5)
> please remove and probably also
> 
> reverse-deps:
> net-irc/cwirc-2.0.0
> net-irc/xchatosd-5.19

dropped, upstream seems dead anyway

> net-irc/xchat-otr-0.3

This will be kept by polynomial-c request

> net-irc/xchat-gnome

Was not masked, did not depend on xchat entirely, can work on it's own. Will stay in tree too.